search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``igraph`.`drawing`.`shapes`.`ShapeDrawerDirectory``

class documentation

`class ShapeDrawerDirectory: (source)`

View In Hierarchy

Static class that resolves shape names to their corresponding shape drawer classes.

Classes that are derived from `ShapeDrawer` in this module are automatically registered by `ShapeDrawerDirectory` when the module is loaded for the first time.

Class Method | `register` | Registers the given shape drawer class under the given names.
Class Method | `register_namespace` | Registers all `ShapeDrawer` classes in the given namespace
Class Method | `resolve` | Given a shape name, returns the corresponding shape drawer class
Class Method | `resolve_default` | Given a shape name, returns the corresponding shape drawer class or the given default shape drawer if the shape name is unknown.
Class Variable | `known_shapes` | Undocumented

@classmethod
def register(cls, drawer_class): (source)

Registers the given shape drawer class under the given names.

Parameters
drawer_class | the shape drawer class to be registered

@classmethod
def register_namespace(cls, namespace): (source)

Registers all `ShapeDrawer` classes in the given namespace

Parameters
namespace | a Python dict mapping names to Python objects.

@classmethod
def resolve(cls, shape): (source)

Given a shape name, returns the corresponding shape drawer class

Parameters
shape | the name of the shape
Returns
the corresponding shape drawer class
Raises
`ValueError` | if the shape is unknown

@classmethod
def resolve_default(cls, shape, default=NullDrawer): (source)

Given a shape name, returns the corresponding shape drawer class or the given default shape drawer if the shape name is unknown.

Parameters
shape | the name of the shape
default | the default shape drawer to return when the shape is unknown
Returns
the shape drawer class corresponding to the given name or the default shape drawer class if the name is unknown

known_shapes: `dict` = (source)

Undocumented